Package org.eclipse.emf.cdo.security

## Class RealmUtil

- java.lang.Object
- - org.eclipse.emf.cdo.security.RealmUtil

-     public final class RealmUtil
      extends java.lang.Object

  Various static helper methods for dealing with `realms`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.eclipse.emf.common.util.BasicEList<Group>` | `allGroups​(org.eclipse.emf.common.util.EList<SecurityItem> items)` |
    `static org.eclipse.emf.common.util.BasicEList<Permission>` | `allPermissions​(org.eclipse.emf.common.util.EList<SecurityItem> items)` |
    `static org.eclipse.emf.common.util.BasicEList<Role>` | `allRoles​(org.eclipse.emf.common.util.EList<SecurityItem> items)` |
    `static org.eclipse.emf.common.util.BasicEList<User>` | `allUsers​(org.eclipse.emf.common.util.EList<SecurityItem> items)` |
    `static Group` | `findGroup​(org.eclipse.emf.common.util.EList<SecurityItem> items, java.lang.String groupID)` |
    `static Role` | `findRole​(org.eclipse.emf.common.util.EList<SecurityItem> items, java.lang.String roleID)` |
    `static User` | `findUser​(org.eclipse.emf.common.util.EList<SecurityItem> items, java.lang.String userID)` |
    `static Group` | `removeGroup​(org.eclipse.emf.common.util.EList<SecurityItem> items, java.lang.String groupID)` |
    `static Role` | `removeRole​(org.eclipse.emf.common.util.EList<SecurityItem> items, java.lang.String roleID)` |
    `static User` | `removeUser​(org.eclipse.emf.common.util.EList<SecurityItem> items, java.lang.String userID)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### findUser

          public static User findUser​(org.eclipse.emf.common.util.EList<SecurityItem> items,
                                      java.lang.String userID)

    - #### findGroup

          public static Group findGroup​(org.eclipse.emf.common.util.EList<SecurityItem> items,
                                        java.lang.String groupID)

    - #### findRole

          public static Role findRole​(org.eclipse.emf.common.util.EList<SecurityItem> items,
                                      java.lang.String roleID)

    - #### removeUser

          public static User removeUser​(org.eclipse.emf.common.util.EList<SecurityItem> items,
                                        java.lang.String userID)

      Since:
        4.2

    - #### removeGroup

          public static Group removeGroup​(org.eclipse.emf.common.util.EList<SecurityItem> items,
                                          java.lang.String groupID)

      Since:
        4.2

    - #### removeRole

          public static Role removeRole​(org.eclipse.emf.common.util.EList<SecurityItem> items,
                                        java.lang.String roleID)

      Since:
        4.2

    - #### allUsers

          public static org.eclipse.emf.common.util.BasicEList<User> allUsers​(org.eclipse.emf.common.util.EList<SecurityItem> items)

    - #### allGroups

          public static org.eclipse.emf.common.util.BasicEList<Group> allGroups​(org.eclipse.emf.common.util.EList<SecurityItem> items)

    - #### allRoles

          public static org.eclipse.emf.common.util.BasicEList<Role> allRoles​(org.eclipse.emf.common.util.EList<SecurityItem> items)

    - #### allPermissions

          public static org.eclipse.emf.common.util.BasicEList<Permission> allPermissions​(org.eclipse.emf.common.util.EList<SecurityItem> items)